
document.querySelector('#btn-h1').addEventListener('click',()=>{CheckElements('h1')})
document.querySelector('#btn-h2').addEventListener('click',()=>{CheckElements('h2')})
document.querySelector('#btn-h3').addEventListener('click',()=>{CheckElements('h3')})
document.querySelector('#btn-p').addEventListener('click',()=>{CheckElements('p')})
document.querySelector('#btn-img').addEventListener('click',()=>{CheckElements('img')})



const CheckElements =(el)=>{

  chrome.tabs.query({active:true,currentWindow:true},(tabs)=>{ 
      chrome.tabs.sendMessage(tabs[0].id,{ from:'popup',subject:'check',element:el })
   })
  
}


const setDOMInfo = (info) => {
  document.getElementById('heading1').textContent = info.heading1;
  document.getElementById('heading2').textContent = info.heading2;
  document.getElementById('heading3').textContent = info.heading3;
  document.getElementById('paragraphs').textContent = info.paragraphs;
  document.getElementById('images').textContent = info.images;
};


window.addEventListener('DOMContentLoaded', () => {

  chrome.tabs.query({
    active: true,
    currentWindow: true
  }, tabs => {

    chrome.tabs.sendMessage(tabs[0].id,{from: 'popup', subject: 'DOMInfo'},setDOMInfo);
  
  });


});


